//
//   Version 1.00 (2005/08/16)
//
// Changelog: 
//
// 0.00 - 1.00 : working.
//
#include <TString.h>
#include <iostream>
#include <FCaloCHECKCRCfun.h>
extern void info();
using namespace std;
//
int main(int numinp, char *inps[]){
  TString name1;
  TString name2;
  if ( numinp != 3 ){
    if ( numinp > 1 ){
      if ( !strcmp(inps[1],"--version") ){
	info();
	return(0);
      };
    };
    printf("\nUsage:\n\n FCaloCHECKCRC filename1 filename2 \n");
    printf("\n - filename1           must be in the form: /path/to/filesfromyoda/dw_000000_00000.root \n");
    printf(  " - filename2           must be in the form: /path/to/filesfromyoda/dw_000000_00000.root \n");
    printf("\nExample: \n\nFCaloCHECKCRC /home/pamela/filesfromyoda/dw_050301_00100.root /home/pamela/filesfromyoda/dw_050301_00101.root\n\n");
    return(0);
    //
  } else {
    printf("\n Welcome to FCaloCHEKCRC! \n");
    name1 = (TString)inps[1];
    name2 = (TString)inps[2];
  };
  //
  int ERR = FCaloCHECKCRC(name1,name2);
  //
  return(ERR);
}
